Subject: Re: [Gen-art] Genart last call review of draft-ietf-grow-bmp-adj-rib-out-05

From: Alissa Cooper <[email-masked]>
Date: Wed, 10 Jul 2019 14:42:21 -0400

Linda, thanks for your review. Tim, thanks for your responses. I entered a No Objection ballot.

Alissa

> On Jun 20, 2019, at 12:55 PM, Linda Dunbar <[email-masked]> wrote:
> 
> Tim,
> 
> Thank you very much for the changes. 
> Your newly proposed texts are very clear. 
> 
> Linda
> 
> -----Original Message-----
> From: Gen-art <[email-masked]> On Behalf Of Tim Evens (tievens)
> Sent: Wednesday, June 19, 2019 4:22 PM
> To: Linda Dunbar <[email-masked]>; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [Gen-art] Genart last call review of draft-ietf-grow-bmp-adj-rib-out-05
> 
> Hi Linda,
> 
> Thank you so much for your review and comments.  Please see response inline marked [tievens].
> 
> 
> On 6/14/19, 1:44 PM, "Linda Dunbar via Datatracker" <[email-masked]> wrote:
> 
>    Summary:
> 
>    The draft updates the BGP Monitoring Protocol BMP by adding access to the
>    Adj-RIB-Out RIBs. There are some unclear areas that need authors to clarify.
> 
>    Major issues:
> 
>    Minor issues:
> 
>    Section 1 last paragraph:
>    It is not clear if BMP sender send to multiple BMP receivers  or just  to one
>    "BMP receiver". The first part of the sentence says "..send to a BMP
>    receivers", the second part says ".. advertise to BGP peers, .."
> 
>    Suggest to make it consistent, such as sending  to multiple, or just one.   "..
>    to send to BMP receivers what it advertises.."
> 
> [tievens] There are one or more receivers for each sender. The implementation 
> defines how many receivers it can send to.   I've updated it to:
> 
>  "Adding Adj-RIB-Out provides the ability for a BMP sender to send to 
>   BMP receivers what it advertises to BGP peers, which can be used for
>   outbound policy validation and to monitor RIBs that were advertised."
> 
> [Linda] Yes, your new text is much more clear. 
> 
>    Does a BMP sender also send out Adj-RIB-In? it is not clear to.
> 
> [tievens] Yes, RFC7854 defines Adj-RIB-In only.  How about the below?
> 
>  "BGP Monitoring Protocol (BMP) RFC 7854 [RFC7854] only defines Adj-
>   RIB-In being sent to BMP receivers.  This document updates section
>   4.2 [RFC7854] per-peer header by adding a new flag to distinguish
>   Adj-RIB-In verses Adj-RIB-Out. BMP senders use the new flag to send
>   either Adj-RIB-In or Adj-RIB-Out."
> 
> [Linda] Thank you for the change. It is very clear now (sorry that I didn't devote time to read the RFC7854). 
> 
>    Section 6 first sentence: just curious which BMP messages are NOT applicable to
>    Adj-RIB-In or Adj-RIB-out?   If it is specified in other documents, please add
>    a reference.
> 
> [tievens] How about the below update to clarify some.   I didn’t want to create a list
> of them because it could be different in updated/new drafts.
> 
> "Many BMP messages have a per-peer header but some are not applicable
>  to Adj-RIB-In or Adj-RIB-Out monitoring, such as peer up and down
>  notficiations."
> 
> [Linda] thanks. It is very clear now. 
> 
> 
>    Nits/editorial comments:
> 
>    Thank you.
> 
>    Linda Dunbar
> 
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://nam03.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Fmailman%2Flistinfo%2Fgen-art&amp;data=02%7C01%7Clinda.dunbar%40futurewei.com%7C71348478589849f9d41b08d6f4fc2b04%7C0fee8ff2a3b240189c753a1d5591fedc%7C1%7C0%7C636965761234078303&amp;sdata=gWj2o%2BUm8nRnYFVqIazO0bKQehhkjQZPsZpP7hXqVlU%3D&amp;reserved=0
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art